# Retrieve sub-accounts Retrieve available subaccounts by account. Endpoint: GET /api/ledger/{ledgerIdentifier}/subaccount Version: 1.0.0 Security: JWT ## Path parameters: - `ledgerIdentifier` (string, required) Ledger identifier, can be found using /api/ledger endpoint Example: "4b7375e9-79b0-4b8b-a89e-a21607f0239f" ## Query parameters: - `onBehalfOfSrcAcctId` (string) If permitted, allows the caller to create subaccounts on behalf of another account holder, identifying that account holder by their system-assigned srcAcctId. ## Response 200 fields (application/json): - `subaccounts` (array) Subaccounts - `subaccounts.identifier` (string) The sub-account's system-assigned identifier. Example: "6192c733-bbd2-11ef-acad-b63fd176813a" - `subaccounts.number` (string) Sub-account number - `subaccounts.account` (object) Account record - `subaccounts.account.srcAcctId` (string) The Account's unique system-assigned identifier used for programmatic (API) interactions. Example: "4edse581-b97a-11ef-ea69-b61606fd520c" - `subaccounts.account.identifier` (string) The Account's ID as displayed in the registry. Example: "15184192" - `subaccounts.account.name` (string) The Account Operating Name on the registry. Example: "APXOPCAR Project Manager" - `subaccounts.name` (string, required) Sub-account name Example: "Allocated" - `subaccounts.description` (string) Sub-account description Example: "Holdings to retired & retired" - `subaccounts.status` (object) A reference datum data object Example: "GOC" - `subaccounts.status.code` (string, required) The reference data's value. - `subaccounts.status.name` (string) The reference data's name - `subaccounts.viableStatusTransitions` (array) Viable Sub-account transitions Enum: "edit", "activate", "deactivate" - `subaccounts.managingExternalPlatform` (object) If this is a managed sub-account, information on the external platform managing this sub-account. - `subaccounts.managingExternalPlatform.externalPlatformIdentifier` (string) The managing external platform's system-assigned identifier. Example: "a5f8c9fa-001b-4444-b966-17b1a7871bbf" - `subaccounts.managingExternalPlatform.code` (string) The External Platform's system code, if applicable. - `subaccounts.managingExternalPlatform.name` (string) The External Platform's name. Example: "Xpansiv Connect" - `subaccounts.managingExternalPlatform.metadataConfig` (string) Metadata configuration (JSON) for additional fields required by the External Platform. - `subaccounts.managingExternalPlatformAccountId` (string) If this is a managed sub-account, the relevant account ID in the external platform for the account associated with this sub-account. - `subaccounts.managingExternalPlatformSubaccountMetadata` (string) Optional JSON payload of managing external platform subaccount metadata. - `subaccounts.default` (boolean) If true, this is the default sub-account Example: true